If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

configure dies on libart check even after client.mk pulls libart from cvs

VERIFIED INVALID

Status

SeaMonkey
Build Config
--
major
VERIFIED INVALID
15 years ago
13 years ago

People

(Reporter: Ken Tossell, Assigned: (default assignee for unassigned bugs. does not receive bugmail))

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.4a) Gecko/20030404
Build Identifier: cvs/not in browser

With SVG enabled, make -f client.mk dies on checking LIBART.

I set .mozconfig to pull libart from cvs.

Rerunning `make -f client.mk`, I see it checkout mozilla/other_licenses/libart_lgpl

After that, configure reruns, and dies again on libart, producing this error:
checking for libIDL - version >= 0.6.3... yes
configure: error: SVG requires a modified version of libart. To pull and build
this LGPL library, set MOZ_INTERNAL_LIBART_LGPL, and then rerun the
checkout stage
*** Fix above errors and then restart with "make -f client.mk build"
make: *** [/home/ken/mozilla/Makefile] Error 1

In .mozconfig: ... mk_add_options MOZ_INTERNAL_LIBART_LGPL=1 ...

Reproducible: Always

Steps to Reproduce:
1. make -f client.mk with above option, and svg enabled.

Actual Results:  
configure dies on libart

Expected Results:  
recognized libart; continued on its way
Actually, the lines you need in .mozconfig are:

mk_add_options MOZ_INTERNAL_LIBART_LGPL=1
MOZ_INTERNAL_LIBART_LGPL=1


(you need both).

Comment 2

15 years ago
What bz said.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → INVALID

Comment 3

15 years ago
verified
Status: RESOLVED → VERIFIED
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.